> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a number range



## OpenAPI

````yaml openapi/openapi.json put /api/number-ranges/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/number-ranges/{id}:
    put:
      tags:
        - Number Ranges
      summary: Update a number range
      operationId: 8183dbd0ce9ab5ba2cd65e5125dc4cc5
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                title:
                  type: string
                start:
                  type: integer
                end:
                  type: integer
                latest_value:
                  type: integer
                increase_by:
                  type: integer
                prefix:
                  type: string
                suffix:
                  type: string
                padding:
                  type: integer
              type: object
      responses:
        '200':
          description: Updated successfully
        '403':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````